### Class

# Foundry ProcessLauncher

#### Description [src]

    final class Foundry.ProcessLauncher : GObject.Object
    {
      /* No available fields */
    }

Manages process execution and subprocess launching.

FoundryProcessLauncher provides a unified interface for launching and managing subprocesses with proper environment setup, working directory configuration, and I/O handling. It supports both local and chained subprocesses that may either run remotely or in a remote context such as a container or virtual machine.

#### Ancestors

- GObject

#### Constructors

###### foundry_process_launcher_new

No description available.

#### Instance methods

###### foundry_process_launcher_add_environ

No description available.

###### foundry_process_launcher_add_minimal_environment

Adds a minimal set of environment variables.

###### foundry_process_launcher_append_args

No description available.

###### foundry_process_launcher_append_args_parsed

No description available.

###### foundry_process_launcher_append_argv

No description available.

###### foundry_process_launcher_append_formatted

No description available.

###### foundry_process_launcher_create_stdio_stream

Creates a stream to communicate with the subprocess using stdin/stdout.

###### foundry_process_launcher_environ_to_argv

No description available.

###### foundry_process_launcher_get_argv

No description available.

###### foundry_process_launcher_get_cwd

No description available.

###### foundry_process_launcher_get_environ

No description available.

###### foundry_process_launcher_getenv

No description available.

###### foundry_process_launcher_merge_unix_fd_map

Merges the `FoundryUnixFDMap` into the current layer.

###### foundry_process_launcher_prepend_args

No description available.

###### foundry_process_launcher_prepend_argv

No description available.

###### foundry_process_launcher_push

No description available.

###### foundry_process_launcher_push_at_base

No description available.

###### foundry_process_launcher_push_error

Pushes a new layer that will always fail with `error`.

###### foundry_process_launcher_push_expansion

Pushes a layer to expand known environment variables.

###### foundry_process_launcher_push_host

Pushes handler to transform command to run on host.

###### foundry_process_launcher_push_shell

Pushes a shell which can run the upper layer command with -c.

###### foundry_process_launcher_push_user_shell

No description available.

###### foundry_process_launcher_set_argv

No description available.

###### foundry_process_launcher_set_cwd

No description available.

###### foundry_process_launcher_set_environ

No description available.

###### foundry_process_launcher_set_pty_fd

Sets up a PTY for the run context that will communicate with the consumer. The consumer is the generally the widget that is rendering the PTY contents and the producer is the FD that is connected to the subprocess.

###### foundry_process_launcher_setenv

No description available.

###### foundry_process_launcher_spawn

Spawns the run command.

###### foundry_process_launcher_spawn_with_flags

Like `foundry_process_launcher_spawn()` but allows specifying the flags for the GSubprocess which may override other settings.

###### foundry_process_launcher_take_fd

No description available.

###### foundry_process_launcher_unsetenv

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryProcessLauncherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.